KH-WEBLOG TOP > WEBメモ > HTML > HTML5に対応していないブラウザへの対応:html5.js

HTML5に対応していないブラウザへの対応:html5.js

最終更新日:

IE8以下はHTML5の新要素に対応していないのですが、
html5.js」というライブラリを使うことでIE8以下でもHTML5のページを表示することができます。

使い方は
<head>~</head>内に

<!--&#91;if lt IE 9&#93;>
<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<!&#91;endif&#93;-->

と記述すればOK

html5.jsは主に

  • 新たらしい要素(headerタグ等)を使えるようにする
  • IEで印刷が崩れないようにCSSで調整してくれる

のような機能がありますので
html5でサイトを作る際はおすすめです。

TAGS

.htaccess ActionScript All in one seo pack Contact Form 7 CSS CSS3 EC-CUBE Flash HTML HTML5 JavaScript jQuery LightBox PHP SEO WordPress アイキャッチ画像 アクセス解析 カテゴリー カラーミーショップ カート コメント ショートコード ソースコード タグ テンプレートタグ ドロップダウンメニュー パーマリンク ビジュアルエディタ フォーム フルスクリーン プラグイン ページテンプレート ページナビ ページ分割 マウスイベント リダイレクト リンク レンタルサーバー ロールオーバー 携帯サイト 条件分岐 正規表現 角丸 関連記事